#include <bits/stdc++.h>
using namespace std;
void pp(int x,int y)
{
	cout<<x<<" "<<y<<endl;
}
int main()
{
	int n;
	cin>>n;
	int x=0,y=0;
	cout<<3*n<<endl;
	for(int i=0;i<n;i++)
	{
		pp(x,y);
		y++;
		pp(x,y);
		y++;
		pp(x,y);
		x++;
		y++;
	}
	return 0;
}